Subject: Re: bug#20670: [PATCH] nnimap: enable additional expunge options (v3)

From: Nikolaus Rath <[email-masked]>
Date: Tue, 24 Jan 2017 16:32:06 -0800

On January 24, 2017 4:23:23 PM PST, Lars Ingebrigtsen <[email-masked]> wrote:
>>> There was a bug in the patch, so I've reverted it for now.
>>>
>>> Here's the backtrace:
>>>
>>> Debugger entered--Lisp error: (error "Format specifier doesn’t match
>>> argument type")
>>>   format("%d .*\n" (t ("OK" ("HIGHESTMODSEQ" "914696") "Expunge"
>>> "completed.") ("VANISHED" "1825937") ("0" "RECENT")))
>>>   (looking-at (format "%d .*\n" sequence))
>>>   (not (looking-at (format "%d .*\n" sequence)))
>>>   (progn (while (and (not (bobp)) (progn (forward-line -1)
>(looking-at
>> [...]
>>
>> Can you tell me how to reproduce it? As I've said, it's been working
>> fine here for over a year.
>
>I just hit `g'.  Whenever there's a new email that's split, it fails.

Uh, OK. That's gonna take me a while to understand and fix. If you or anyone else feels like fixing this up, I will not be offended. I hate the way Gnus represents a "parsed" server response.

Best,
Nikolaus

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.